io_uring_prep_listen(3)

NAME
io_uring_prep_listen - prepare a listen request

SYNOPSIS
#include <sys/socket.h>
#include <liburing.h>

void io_uring_prep_listen(struct io_uring_sqe *sqe,
                          int sockfd,
                          intbacklog);

DESCRIPTION
The io_uring_prep_listen(3) function prepares a listen request. The submission queue entry sqe is setup to place the socket file descriptor pointed by sockfd into a state to accept incoming connections. The parameter backlog, defines the maximum length of the queue of pending connections. This function prepares an async listen(2) request. See that man page for details.

RETURN VALUE
None

ERRORS
The CQE res field will contain the result of the operation. See the related man page for details on possible values. Note that where synchronous system calls will return -1 on failure and set errno to the actual error value, io_uring never uses errno. Instead it returns the negated errno directly in the CQE res field.

SEE ALSO
io_uring_get_sqe(3), io_uring_submit(3), listen(2)